GNU LibreDWG 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 2091806 漏洞类型 缓冲区错误
发布时间 2020-07-16 更新时间 2020-07-29
CVE编号 CVE-2019-20913 CNNVD-ID CNNVD-202007-1179
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202007-1179
|漏洞详情
GNU LibreDWG是GNU计划的一个用于处理DWG文件的C语言库。 GNU LibreDWG 0.9.3及之前版本中common_entity_data.spec文件的dwg_encode_entity存在缓冲区错误漏洞,该漏洞源于不正确的边界检查。远程攻击者可通过诱使用户打开特制的DWG文件利用该漏洞在系统上执行任意代码或导致应用程序崩溃。
|参考资料

来源:MISC

链接:https://github.com/LibreDWG/libredwg/issues/178


来源:MISC

链接:https://github.com/LibreDWG/libredwg/commit/3f503dd294efc63a59608d8a16058c41d44ba13a


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-20913